import es, dnd, time
from dnd import dnd

def round_end(ev):
    time_now = time.time()
    days_till_removed = 14.0
    inactivity_length = days_till_removed * 86400
    dellist = []
    for player in dnd.player_database:
        if 'last connected' in dnd.player_database[player]:
            last_active = dnd.player_database[player]['last connected']            
            if (time_now - last_active) >= inactivity_length:
                dellist.append(player)
                
    for player in dellist:
        name = dnd.player_database[player]['name']
        date = time.ctime(dnd.player_database[player]['last connected'])
        dnd.dndMsg(('Removing player %s due to in activity. Date Last Played: %s'%(name, date)))
        del dnd.player_database[player]